<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
class PurchaseRequisitionLine extends Model {
    protected $guarded = ['id'];
    public $timestamps = false;
    public function requisition() { return $this->belongsTo(PurchaseRequisition::class, 'requisition_id'); }
    public function item() { return $this->belongsTo(StockItem::class, 'item_id'); }
    public function unit() { return $this->belongsTo(Unit::class); }
}
